Bug 1009345 - Joking sfdisk rewriting PT after "n"
Joking sfdisk rewriting PT after "n"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1009349
  Show dependency treegraph
 
Reported: 2013-09-18 05:12 EDT by Filip Kocina
Modified: 2014-02-02 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version: util-linux-2.23.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1009349 (view as bug list)
Environment:
Last Closed: 2014-01-28 22:04:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
It switches "yes" and "no" back. (453 bytes, patch)
2013-09-18 05:12 EDT, Filip Kocina
no flags Details | Diff

  None (edit)
Description Filip Kocina 2013-09-18 05:12:21 EDT
Created attachment 799226 [details]
It switches "yes" and "no" back.

Description of problem:
Command sfdisk has switched "yes" and "no".

Version-Release number of selected component (if applicable):
util-linux-2.22.2-7.fc18

How reproducible:
Always

Steps to Reproduce:
1. dd if=/dev/zero of=image.iso count=1
2. sfdisk image.iso
3. 4 times ENTER and "n"

Actual results:
It rewrites the partition table.

Expected results:
It doesn't rewrite the partition table.

Additional info:
Wrong commit: http://www.spinics.net/lists/util-linux-ng/msg05818.html
Comment 1 Karel Zak 2013-11-11 13:33:19 EST
Fixed by upstream commit 44a6492ce3aa3c4eb8439aa6d9694e76ab20bf1d.
Comment 2 Fedora End Of Life 2013-12-21 10:39:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Update System 2014-01-13 06:41:20 EST
util-linux-2.23.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-5.fc19
Comment 4 Fedora Update System 2014-01-14 03:41:13 EST
Package util-linux-2.23.2-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.23.2-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0749/util-linux-2.23.2-5.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-01-28 22:04:00 EST
util-linux-2.23.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.